AI Sync

Roles

Delete Role

DELETEhttps://app.rizzdial.com/api/roles/{id}
Delete Role
curl --request DELETE \
  --url https://app.rizzdial.com/api/roles/12 \
  --header 'Authorization: Bearer <token>'
{
  "message": "Role deleted successfully.",
  "success": true
}

Delete Role#

Deletes a company role. Requires delete-role.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Numeric role id from List Roles. Base64 and encrypted ids also work

curl --request DELETE \
  --url https://app.rizzdial.com/api/roles/12 \
  --header 'Authorization: Bearer {{bearer_token}}'
messagestring

Role deleted successfully.

DELETE /api/roles/delete/{id} is the same endpoint.